<style lang="scss" scoped>
  div {
    color: blue
  }
</style>

<template>
  <div>
    <input v-model="query" placeholder="Google Search" v-on:keyup.enter="searchGoogle(query)" ref="query" autofocus/>

    <div>
      Pinned
      <div v-for="(tab, index) in pinnedTabs" v-on:click="switchToTab(tab, index)">
        <img v-bind:src="tab.favIconUrl">
        {{tab.title}}
      </div>
    </div>

    <div>
      Open
      <div v-for="(tab, index) in openTabs" v-on:click="switchToTab(tab, index)">
        <img v-bind:src="tab.favIconUrl">
        {{tab.title}}
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    data: () => ({
      pinnedTabs: null,
      openTabs: null,
      dashTab: null,
      query: '',
    }),
    computed: { },
    created () { },
    mounted () {
      chrome.tabs.getAllInWindow(null, tabs => {
        this.openTabs = tabs.filter(tab => !tab.pinned && !tab.active);
        this.pinnedTabs = tabs.filter(tab => tab.pinned && !tab.active);
        console.log(tabs);
        this.dashTab = this.tabs.find(tab => tab.active);
      });
      this.$refs.query.focus();
    },
    methods: {
      switchToTab(tab, index) {
        chrome.tabs.highlight({ windowId: tab.windowId, tabs: [index] });
        this.closeDashTab();
      },
      searchGoogle(query) {
        chrome.tabs.create(
          { url: `https://www.google.com/search?q=${query.split(' ').join('+')}` },
          this.closeDashTab.bind(this),
        )
      },
      closeDashTab() {
        chrome.tabs.remove(this.dashTab.id);
      }
    }
  }
</script>
